buffer_putsalign(3)

NAME
buffer_putsalign - write ASCIIZ string to buffer

SYNTAX
#include <libowfat/buffer.h>

int buffer_putsalign(buffer* b,const char* x);

DESCRIPTION
buffer_putsalign is like buffer_putalign with len determined as the number of bytes before the first \0 in x.

RETURN VALUE
0 if everything is fine, -1 on error (setting errno).

SEE ALSO
buffer_puts(3), buffer_put(3), buffer_flush(3), buffer(3)